%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Build infrastructure and utilities for GNOME C++ bindings
Name:		mm-common
Version:	0.9.10
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		http://www.gtkmm.org/
BuildArch:	noarch
BuildRequires:	curl
BuildRequires:	wget

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install

%files
%doc README NEWS ChangeLog AUTHORS
%{_docdir}/%{name}/skeletonmm*
%_bindir/mm-common-prepare
%_datadir/aclocal/*.m4
%_datadir/%name
%_datadir/pkgconfig/*.pc
%_mandir/man1/*.1*


%changelog
* Mon Feb 08 2016 ovitters <ovitters> 0.9.10-1.mga6
+ Revision: 950145
- new version 0.9.10

* Fri Nov 27 2015 ovitters <ovitters> 0.9.9-1.mga6
+ Revision: 906403
- new version 0.9.9

* Wed Oct 21 2015 daviddavid <daviddavid> 0.9.8-2.mga6
+ Revision: 893606
- add more docs to fix build with latest rpm

* Wed Jul 15 2015 ovitters <ovitters> 0.9.8-1.mga6
+ Revision: 854321
- new version 0.9.8

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-3.mga5
+ Revision: 740824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 682549
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 0.9.7-1.mga5
+ Revision: 676797
- new version 0.9.7

* Fri Oct 18 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 507978
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 360173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 ovitters <ovitters> 0.9.6-1.mga3
+ Revision: 303213
- new version 0.9.6

* Wed Feb 15 2012 ovitters <ovitters> 0.9.5-3.mga2
+ Revision: 209349
- clean spec

* Tue Jun 28 2011 fwang <fwang> 0.9.5-2.mga2
+ Revision: 115033
- imported package mm-common

